<?PHP
////++++++++++++++++ CONFIGURACIÓN DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++++////

////Conexiones y tiempos de ejecución
$VpnEn=$_GET["VPN"] or $VpnEn=$_POST["VPN"];
$LtEn=$_GET["LT"] or $LtEn=$_POST["LT"];
ini_set('max_execution_time', $LtEn);
include ("Conections/$VpnEn.php");

$Cve_Modulo = "CMOD201506100095";

///Arrastra Variables Fijas
$UsuEn=$_POST['UsuKP'] or $UsuEn=$_GET['UsuKP'];
$TokEn=$_POST["TokenKP"] or $TokEn=$_GET["TokenKP"];
$IDSeEn=$_POST["IdDAcce"] or $IDSeEn=$_GET["IdDAcce"];
$CtaSesionEn=$_POST['CtaSKP'] or $CtaSesionEn=$_GET['CtaSKP'];


	/////////Identificar personalización 1 
		$sqlP1 = mysql_query("select * from wms_personaliza1 where ID='1'");
		if (mysql_numrows($sqlP1)==0) echo "";
		else{
		$registroP1=mysql_fetch_array($sqlP1);
		}
		if (mysql_numrows($sqlP1)>0)
		{
		$BBackg=$registroP1["BODY_BACKGROUND_IMG"];
		}
	
	/////////Identificar personalización 2
		$sqlP2 = mysql_query("select * from wms_personaliza2 where ID='1'");
		if (mysql_numrows($sqlP2)==0) echo "";
		else{
		$registroP2=mysql_fetch_array($sqlP2);
		}
		if (mysql_numrows($sqlP2)>0)
		{
		$Titulo=$registroP2["TITULO_PAGINAS"];
		}
		
	/////////Identificar personalización 3
		$sqlP3 = mysql_query("select * from wms_personaliza3 where ID='1'");
		if (mysql_numrows($sqlP3)==0) echo "";
		else{
		$registroP3=mysql_fetch_array($sqlP3);
		}
		if (mysql_numrows($sqlP3)>0)
		{
		$FuTi_Form=$registroP3["FUENTE_TITULOFORMULARIO"];
		$TaTi_Form=$registroP3["TAMANO_TITULOFORMULARIO"];
		$BgTi_Form=$registroP3["COLOR_TITULOFORMULARIO"];
		$FuCu_Form=$registroP3["FUENTE_FORMULARIO"];
		$TaCu_Form=$registroP3["TAMANO_FORMULARIO"];
		$BgCu_Form=$registroP3["COLOR_FORMULARIO"];
		$FonTi_Form=$registroP3["BG_TABLATITULO"];
		$FonCi_Form=$registroP3["BG_TABLACUERPO"];
		$FonSe_Form=$registroP3["BG_TABLASEPARACION"];
		$Borde_Form=$registroP3["BORDER_CAMPO"];
		$CamDe_Form=$registroP3["BG_CAMPODESHABILITADO"];
		$ClaBtn=$registroP3["CLASE_BOTON"];
		}
		
	/////////Identificar personalización 4
		$sqlP4 = mysql_query("select * from wms_personaliza4 where ID='1'");
		if (mysql_numrows($sqlP4)==0) echo "";
		else{
		$registroP4=mysql_fetch_array($sqlP4);
		}
		if (mysql_numrows($sqlP4)>0)
		{
		$Bord_Tabl=$registroP4["BG_BORDE"];
		$Fond_Tabl=$registroP4["BG_FONDOGRALTABLA"];
		$BgF1_Tabl=$registroP4["BG_FILA_1"];
		$BgF2_Tabl=$registroP4["BG_FILA_2"];
		$FTit_Tabl=$registroP4["FUENTE_TABLATITULO"];
		$TTit_Tabl=$registroP4["TAMANO_FUENTETABLATITULO"];
		$CFTi_Tabl=$registroP4["COLOR_FUENTETABLATITULO"];
		$FEnc_Tabl=$registroP4["FUENTE_TABLAENCA"];
		$TEnc_Tabl=$registroP4["TAMANO_FUENTETABLAENCA"];
		$CEnc_Tabl=$registroP4["COLOR_FUENTETABLAENCA"];
		$FCue_Tabl=$registroP4["FUENTE_TABLACUER"];
		$TCue_Tabl=$registroP4["TAMANO_FUENTETABLACUER"];
		$CCue_Tabl=$registroP4["COLOR_FUENTETABLACUER"];
		}		
		
	/////////Identificar configuracion 1
		$sqlC1 = mysql_query("select * from wms_configura1 where ID='1'");
		if (mysql_numrows($sqlC1)==0) echo "";
		else{
		$registroC1=mysql_fetch_array($sqlC1);
		}
		if (mysql_numrows($sqlC1)>0)
		{
		$TimeInac=$registroC1["TIEMPO_INACTIVIDAD"];
		}
		
	/////////Identifica si el token aun esta vigente
		$ExtAño = substr($TokEn, -28, 4);    // devuelve el año
		$ExtDia = substr($TokEn, -7, 2);    // devuelve el mes
		$ExtMes = substr($TokEn, -14, 2);    // devuelve el día
		$FechTok=$ExtDia."/".$ExtMes."/".$ExtAño;
		$FechAct=$PreTo4=date("d/m/Y");
		
		if ($FechTok<>$FechAct)
		{
			echo "<script>alert('La sesión del Token de seguridad ha caducado.\\nFavor de iniciar sesion nuevamente.');</script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogOff_Force.php?USUkp=$UsuEn&IdDeAcc=$IDSeEn'>";
		}
		else
		{ ///Inicia IF Sesion Token
		
	/////////Identificar permisos de acceso 1
		$sqlPA1 = mysql_query("select * from tabla_usuarios where USUARION='$UsuEn'");
		if (mysql_numrows($sqlPA1)==0) 
		{
			echo "<script>alert('CODIGO: LOGSYS#00001\\nEl Usuario en sesión ha sido truncado por inexistencia.'); </script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogIn.php'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 1
		
	/////////Identificar permisos de acceso 2
		$sqlPA2 = mysql_query("select * from wms_configurapermisosnivelmodulo where USUARIO='$UsuEn' AND CVE_MODULO='$Cve_Modulo'");
		if (mysql_numrows($sqlPA2)==0) 
		{
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=SinPermisos.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&Cve_ModuloKP=$Cve_Modulo'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 2
	
	/////////Identificar permisos de acceso 3 - Acreditación de Sesión Activa	
		$sqlPA3 = mysql_query("select * from tabla_controlsesiones where USUARIO='$UsuEn'");
		if (mysql_numrows($sqlPA3)==0) 
		{
		echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogOff_ReLogIn.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&' target='_parent'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 3
		
		//////HORA y FECHA/////
			$Hora=time();
			$HoraOK=date("H:i:s",$Hora);
			$Fecha=date("Y/m/d");
			
			//////Identificar la Cuenta y la Bodega
			$sqlCR1 = mysql_query("select * from wms_configura_altacuentas where NOMBRE_CUENTA='$CtaSesionEn'");
			if (mysql_numrows($sqlCR1)==0) echo "";
			else{
			$registroCR1=mysql_fetch_array($sqlCR1);
			}
			if (mysql_numrows($sqlCR1)>0)
			{
			$CveBodCR1=$registroCR1["CVE_BODEGA"];
			$CveCueCR1=$registroCR1["CVE_CUENTA"];
			}
			
				$sqlCR2 = mysql_query("select * from wms_configura_altabodega where CVE_BODEGA='$CveBodCR1'");
				if (mysql_numrows($sqlCR2)==0) echo "";
				else{
				$registroCR2=mysql_fetch_array($sqlCR2);
				}
				if (mysql_numrows($sqlCR2)>0)
				{
				$NomBodCR2=$registroCR2["NOMBRE_BODEGA"];
				}
				
				////Arrastrando la Variable del Documento
				$NoDocSuEn=$_GET["txt_NoDoc"] or $NoDocSuEn=$_POST["txt_NoDoc"];
				
				////Identificar los datos del Documento de Recibo
				$sqlIDR1 = mysql_query("select * from tabla_docsurtido where CVE_CUENTA='$CveCueCR1' AND NO_DOCUMENTO='$NoDocSuEn'");
				if (mysql_numrows($sqlIDR1)==0) echo "";
				else{
				$registroIDR1=mysql_fetch_array($sqlIDR1);
				}
				if (mysql_numrows($sqlIDR1)>0)
				{
				$TipSalIDR1=$registroIDR1["TIPO_SALIDA"];
				$TipSurIDR1=$registroIDR1["TIPO_SURTIDO"];
				$CveDesIDR1=$registroIDR1["DESTINO"];	
				$VigeIDR1=$registroIDR1["DISPONIBILIDAD"];
				$EdoDIDR1=$registroIDR1["EDO_DOCUMENTO"];
				$PriIDR1=$registroIDR1["PRIORIDAD"];	
				}
				
				////Identificar Si el documento digitado Existe
				$sqlIDR2 = mysql_query("select * from tabla_docsurtido where CVE_CUENTA='$CveCueCR1' AND NO_DOCUMENTO='$NoDocSuEn'");
				if (mysql_numrows($sqlIDR2)==0) 
				{
				echo "<script>alert('El Documento de Surtido Digitado no Existe.\\nFavor de Corroborarlo.'); </script>";
				echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=71-GeneracionDeTareas2.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&txt_NoDoc=$NoDocSuEn'>";
				}
				else
				{ //// Inicia If Valiador del Documento Recibo
				
				////Identificar La caducidad de Documento
				if ($VigeIDR1<$Fecha)
				{
					echo "<script>alert('El Documento de Surtido Digitado ha Caducado.\\nFavor de Corroborarlo.'); </script>";
					echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=71-GeneracionDeTareas2.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&txt_NoDoc=$NoDocSuEn'>";
				}
				else
				{ //// Inicia If Valiador de Caducidad Documento
				
				////Identificar el estado del Documento
				if ($EdoDIDR1<>"ASOCIADO")
				{
					echo "<script>alert('El Estado del Documento de Surtido no es apto para este proceso.\\nFavor de Corroborarlo.'); </script>";
					echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=71-GeneracionDeTareas2.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&txt_NoDoc=$NoDocSuEn'>";
				}
				else
				{ //// Inicia If Valiador de Estado de Documento

////++++++++++++++ FIN CONFIGURACIÓN DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++////
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<?PHP echo"<link rel='stylesheet' href='cssBtn/style_Btns.css'>"; ?>
<link rel="shortcut icon" href="../WMS_Resources/images/favicon.ico">
<title><?PHP echo $Titulo; ?></title>
<style type="text/css">
body {
	background-image: url(../WMS_Resources/images/MainBkgr/<?PHP echo $BBackg; ?>);
}

.Clase_TipoLetraTitulos {
	font-family: <?PHP echo $FuTi_Form; ?>;
	font-size:<?PHP echo $TaTi_Form; ?>px;
	color:<?PHP echo $BgTi_Form; ?>;
}
.Clase_TipoLetra {
	font-family: <?PHP echo $FuCu_Form; ?>;
	font-size:<?PHP echo $TaCu_Form; ?>px;
	color:<?PHP echo $BgCu_Form; ?>;
}
.Clase_INPUT_Text {
	border: 1px solid <?PHP echo $Borde_Form; ?>;
	background: #FFFFFF;
	COLOR: #000000;
	FONT-FAMILY: Arial, Helvetica, sans-serif;
	FONT-SIZE: 12px;
	}

</style>

<!-- Inicia Validador de Inactividad -->
<script type="text/javascript">
var Inac;
function ini() {
  Inac = setTimeout('location="LogOff_Inactividad.php?TokenKP=<?PHP echo $TokEn;?>&UsuKP=<?PHP echo $UsuEn;?>&IdDAcce=<?PHP echo $IDSeEn;?>&CtaSKP=<?PHP echo $CtaSesionEn;?>&VPN=<?PHP echo $VpnEn;?>&LT=<?PHP echo $LtEn;?>"',<?PHP echo $TimeInac; ?>);
}
function parar() {
  clearTimeout(Inac);
  Inac = setTimeout('location="LogOff_Inactividad.php?TokenKP=<?PHP echo $TokEn;?>&UsuKP=<?PHP echo $UsuEn;?>&IdDAcce=<?PHP echo $IDSeEn;?>&CtaSKP=<?PHP echo $CtaSesionEn;?>&VPN=<?PHP echo $VpnEn;?>&LT=<?PHP echo $LtEn;?>"',<?PHP echo $TimeInac; ?>);
}
</script>

<!-- Termina Validador de Inactividad -->
</head>

<body onload="ini()" onkeypress="parar()" onclick="parar()">
<?PHP
include ("MenuEstructura.php");
?>

<!-- Inicia Cuerpo de la Interfaz Gráfica -->
<Br><Br><Br><Br><Br><Br><Br>
<div align="center">
<font class="Clase_TipoLetra">PROCESANDO PETICIÓN<Br>FAVOR DE ESPERAR.</font><Br>
<img src="../WMS_Resources/images/Cargando_Nube.gif" width="250" height="250" border="0"/>
<?PHP
////1) - Inicia
//////////////////////////////////////Inicia PICKING_FI////////////////////////////////////////////////////
		if ($TipSurIDR1=="PICKING_FI")
		{ /// INICIA IF GENERAR PICKING_FI
		
		////Cambiando el Estado del Documento
		$sqlEDD="UPDATE tabla_docsurtido SET EDO_DOCUMENTO ='POR SURTIR' WHERE CVE_CUENTA='$CveCueCR1' AND NO_DOCUMENTO='$NoDocSuEn'";
		$resultadoEDD=mysql_query($sqlEDD,$conexion) or die(mysql_error());
		
		////Cambiando el Estado del Documento En el Anden
		$sqlEDD2="UPDATE tabla_asociaanden SET ESTADO_DOCUMENTO ='POR SURTIR' WHERE CVE_CUENTA='$CveCueCR1' AND NO_DOCUMENTO='$NoDocSuEn'";
		$resultadoEDD2=mysql_query($sqlEDD2,$conexion) or die(mysql_error());
		
		////Identificar el prefijo configurado para la tarea
		$sqlIDE1 = mysql_query("select * from wms_configura_tarea WHERE CVE_CUENTA='$CveCueCR1'");
		if (mysql_numrows($sqlIDE1)==0) echo "";
		else{
		$registroIDE1=mysql_fetch_array($sqlIDE1);
		}
		if (mysql_numrows($sqlIDE1)>0)
		{
		$PrefijoTar=$registroIDE1["PREFIJO"];
		}
		
		////Asignar cantidades en 0 por Sku al Documento en la tabla: temporal_cantitarea
		////Con la finalidad de inicialzar el surtido en 0.
		$sqlIPA = "SELECT * FROM tabla_detalledocsur WHERE CVE_CUENTA='$CveCueCR1' AND NO_DOCUMENTO='$NoDocSuEn'";
		$resIPA=mysql_query($sqlIPA) or die('Error en la consulta: '.mysql_error());
		While($rowIPA = mysql_fetch_array($resIPA,MYSQL_ASSOC))
			{ ///Inicia While 1
				$SkuPA=$rowIPA["SKU"];
				$LotPA=$rowIPA["LOTE"];
				
				//////HORA y FECHA/////
				$Hora=time();
				$HoraOK=date("H:i:s",$Hora);
				$Fecha=date("Y/m/d");
				
					////Generador de Folio para guardar el consecutivo del # de Tara en la tabla_consetarea
					$FechaDeTarea=date("Ymd");
					$sqlDS = "select max(IDINCRE) as ultimo_FOLIODS from tabla_consetarea WHERE CVE_CUENTA='$CveCueCR1' AND FECHA='$FechaDeTarea'"; 
					$libDS = mysql_query($sqlDS); 
					$rs_libDS = mysql_fetch_assoc($libDS); 
					$id_nuevoDS = $rs_libDS['ultimo_FOLIODS'] + 1;
				
					if ($id_nuevoDS <=9)
					{
					$IdenCeros="0000";
					$No_Tarea=$PrefijoTar.$FechaDeTarea.$IdenCeros.$id_nuevoDS;
					$No_TareaFINPG=$No_Tarea;
					}
				
					if ($id_nuevoDS >=10 and $id_nuevoDS <=99)
					{
					$IdenCeros="000";
					$No_Tarea=$PrefijoTar.$FechaDeTarea.$IdenCeros.$id_nuevoDS;
					$No_TareaFINPG=$No_Tarea;
					}
	
					if ($id_nuevoDS >=100 and $id_nuevoDS <=999)
					{
					$IdenCeros="00";
					$No_Tarea=$PrefijoTar.$FechaDeTarea.$IdenCeros.$id_nuevoDS;
					$No_TareaFINPG=$No_Tarea;
					}
				
					if ($id_nuevoDS >=1000 and $id_nuevoDS <=9999)
					{
					$IdenCeros="0";
					$No_Tarea=$PrefijoTar.$FechaDeTarea.$IdenCeros.$id_nuevoDS;
					$No_TareaFINPG=$No_Tarea;
					}
					
					if ($id_nuevoDS >=10000)
					{
					$No_Tarea=$PrefijoTar.$FechaDeTarea.$id_nuevoDS;
					$No_TareaFINPG=$No_Tarea;
					}
					
					//////++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++//////	
					////Generador de Folio para guardar el consecutivo del # de Tarea en la tabla_consetarea
					$sqlIDP2 = "select max(ID) as ultimo_FOLIOP2 from tabla_consetarea"; 
					$libP2 = mysql_query($sqlIDP2); 
					$rs_libP2 = mysql_fetch_assoc($libP2); 
					$id_nuevoP2 = $rs_libP2['ultimo_FOLIOP2'] + 1;
									
					//////GUARDAR EL LA BD EL CONSECUTIVO DEL NO. DE TAREA EN LA tabla_consetarea//////////
					$sqlGDS = "insert tabla_consetarea (ID,CVE_BODEGA,CVE_CUENTA,IDINCRE,NO_TARE,FECHA)
        			values('$id_nuevoP2','$CveBodCR1','$CveCueCR1','$id_nuevoDS','$No_TareaFINPG','$FechaDeTarea')";
				
					$resultadoGDS=mysql_query($sqlGDS,$conexion) or die(mysql_error());
					//////+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++//////
				
				////Generador de Folio para guardar el consecutivo del # de Tarea en la tabla_consetarea
				$sqlIDP3 = "select max(ID) as ultimo_FOLIOP3 from temporal_cantitarea"; 
				$libP3 = mysql_query($sqlIDP3); 
				$rs_libP3 = mysql_fetch_assoc($libP3); 
				$id_nueP3 = $rs_libP3['ultimo_FOLIOP3'] + 1;
				
				$sqlGDS = "insert temporal_cantitarea (ID,CVE_BODEGA,CVE_CUENTA,NO_DOCUMENTO,NO_TAREA,SKU,CANT_XTAREA,LOTE,USUARIO_REG,FECHA,HORA)
values('$id_nueP3','$CveBodCR1','$CveCueCR1','$NoDocSuEn','$No_TareaFINPG','$SkuPA','0','$LotPA','$UsuEn','$Fecha','$HoraOK')";
				$resultadoGDS=mysql_query($sqlGDS,$conexion) or die(mysql_error());
			} ///Termina While 1

/////******************************************************************************************************		
//// |||||||||||||||||||||||||||||||| Inicia Fase de Asignación - UNO |||||||||||||||||||||||||||||||| ////
			/////Identificar todo el detalle
			$sqlCA1 = "SELECT * FROM tabla_detalledocsur WHERE CVE_CUENTA='$CveCueCR1' AND NO_DOCUMENTO='$NoDocSuEn'";
			$resCA1=mysql_query($sqlCA1) or die('Error en la consulta: '.mysql_error());
			While($rowCA1 = mysql_fetch_array($resCA1,MYSQL_ASSOC))
				{ ///Inicia While 2
					
					$SkuCA1=$rowCA1["SKU"];
					$LotCA1=$rowCA1["LOTE"];
					$CantxSurCA1=$rowCA1["CANT_X_SURTIR"];
					
					$sqlCA2 = "SELECT * FROM tabla_pickingfijo WHERE CVE_CUENTA='$CveCueCR1' AND SKU='$SkuCA1' AND DISPONIBILIDAD='SI'";
					$resCA2=mysql_query($sqlCA2) or die('Error en la consulta: '.mysql_error());
					While($rowCA2 = mysql_fetch_array($resCA2,MYSQL_ASSOC))
						{ ///Inicia While 3
						
						////Valida si ya se paso por dicho registro
						////Validar si a Codigo SKU ya se le asigno una propiedad en el Campo apartado.
						////Si es Asi terminar el While 3
							$sqlCA5 = mysql_query("select * from tabla_detalledocsur WHERE CVE_CUENTA='$CveCueCR1' AND SKU='$SkuCA1' AND APARTADO='0' AND NO_DOCUMENTO='$NoDocSuEn'");
							if (mysql_numrows($sqlCA5)<>0) 
							{ ///Inicia If Vaidador de Corrida
							
							$Ubic_CA2=$rowCA2["CLAVEUBICACION"];
							$Mini_CA2=$rowCA2["MINIMO"];
							$Maxi_CA2=$rowCA2["MAXIMO"];
							$PMax_CA2=$rowCA2["PICKEO_MAXIMO"];
							$Disp_CA2=$rowCA2["DISPONIBILIDAD"];
							
							////Consultando el inventario para ver si existe producto disponible para surtido
							////$sqlCA3 = mysql_query("select * from tabla_inventario WHERE CVE_CUENTA='$CveCueCR1' AND UBICACION='$Ubic_CA2' AND EDO_CALIDAD='$TipSalIDR1' AND SKU='$SkuCA1' ORDER BY `tabla_inventario`.`FECHA_ENTRADA`, `tabla_inventario`.`PRIORIDAD` ASC");////
							$sqlCA3 = mysql_query("select * from tabla_inventario WHERE CVE_CUENTA='$CveCueCR1' AND UBICACION='$Ubic_CA2' AND EDO_CALIDAD='$TipSalIDR1' AND SKU='$SkuCA1' AND TIPO_UBICACION='PICKING' ORDER BY `tabla_inventario`.`FECHA_ENTRADA`, `tabla_inventario`.`PRIORIDAD` ASC");
							if (mysql_numrows($sqlCA3)==0) { $Pall_CA3="N/A"; }
							else{
							$registroCA3=mysql_fetch_array($sqlCA3);
							}
							if (mysql_numrows($sqlCA3)>0)
							{
							$Pall_CA3=$registroCA3["NO_PALLET"];
							}
							
							////Consultando el inventario para ver si existe producto disponible para surtido
							$sqlCA4 = mysql_query("select * from tabla_inventario WHERE CVE_CUENTA='$CveCueCR1' AND NO_PALLET='$Pall_CA3'");
							if (mysql_numrows($sqlCA4)==0) echo "";
							else{
							$registroCA4=mysql_fetch_array($sqlCA4);
							}
							if (mysql_numrows($sqlCA4)>0)
							{
							$CantEnPa_CA4=$registroCA4["CANTIDAD"];
							}
							
							////Identificar si la cantidad del pallet es mayor o Igual al pickeo maximo permitido
								if ($CantxSurCA1 > $PMax_CA2)
									{
										////Si se encuentra en Picking, PERO su capacidad de Pickeo es MENOR a la demandada
										////dentro del pedido - Envia a un analisis en stock
										///echo "<Br>PICKING1 - Sku: ". $SkuCA1." PzasxSur: ".$CantxSurCA1." Pickeo Maximo: ".$PMax_CA2." Pallet: ".$Pall_CA3." - Cantidad x Surtir SI sobrepaso el Pickeo Maximo permitido<Br>";
									}
									else
									{
										if ($Pall_CA3 <> "N/A")
										{ ///Inicia if validador de Pallet n/a
										
										///// Visualización de Apoyo - Comentada
										////echo "<Br>PICKING2 - Sku: ". $SkuCA1." PzasxSur: ".$CantxSurCA1." Pickeo Maximo: ".$PMax_CA2." Pallet: ".$Pall_CA3." Ubicación: ".$Ubic_CA2." - Cantidad x Surtir NO sobrepaso el Pickeo Maximo permitido<Br>";
										////Cambia el Estatus del apartado dentro del detalle del pedido - Referentemente al SKU
										$sqlMED1="UPDATE tabla_detalledocsur SET APARTADO ='EN PICKING' WHERE CVE_CUENTA='$CveCueCR1' AND SKU='$SkuCA1' AND NO_DOCUMENTO='$NoDocSuEn'";
										$resultadoMED1=mysql_query($sqlMED1,$conexion) or die(mysql_error());
										
											////Consultando la prioridad del Pallet a Pickear
											$sqlCA5 = mysql_query("select * from tabla_inventario WHERE CVE_CUENTA='$CveCueCR1' AND NO_PALLET='$Pall_CA3'");
											if (mysql_numrows($sqlCA5)==0) echo "";
											else{
											$registroCA5=mysql_fetch_array($sqlCA5);
											}
											if (mysql_numrows($sqlCA5)>0)
											{
											$PrioPal_CA5=$registroCA5["PRIORIDAD"];
											}
											
												//////Generar Folio para guardar Registro////
												$sqlGFI = "select max(ID) as ultimo_FOLIOGFI  from tabla_detalledocsurprio"; 
												$libGFI  = mysql_query($sqlGFI); 
												$rs_libGFI  = mysql_fetch_assoc($libGFI); 
												$id_nuevoGFI  = $rs_libGFI ['ultimo_FOLIOGFI'] + 1;
					
												////Guarda Recorrido de Surtido en la respectiva tabla
												////$sqlGFI2 = "insert into tabla_detalledocsurprio (ID,CVE_BODEGA,CVE_CUENTA,NO_DOCUMENTO,SKU,LOTE,CANT_SURTIDA,PRIORIDAD,USUARIO_REG,FECHA,HORA)
////values('$id_nuevoGFI','$CveBodCR1','$CveCueCR1','$NoDocSuEn','$SkuCA1','$LotCA1','$CantxSurCA1','$PrioPal_CA5','$UsuEn','$Fecha','$HoraOK')";
												$sqlGFI2 = "insert into tabla_detalledocsurprio (ID,CVE_BODEGA,CVE_CUENTA,NO_DOCUMENTO,SKU,LOTE,CANT_SURTIDA,PRIORIDAD,USUARIO_REG,FECHA,HORA)
values('$id_nuevoGFI','$CveBodCR1','$CveCueCR1','$NoDocSuEn','$SkuCA1','$LotCA1','0','$PrioPal_CA5','$UsuEn','$Fecha','$HoraOK')";
												$resultadoGFI2=mysql_query($sqlGFI2,$conexion) or die(mysql_error());
											
										} ///Termina if validador de Pallet n/a
									}
		
							} ///Termina If Vaidador de Corrida

						} ///Termina While 3
				} ///Termina While 2
				
//// |||||||||||||||||||||||||||||||| Termina Fase de Asignación - UNO |||||||||||||||||||||||||||||||| ////
/////******************************************************************************************************	



/////******************************************************************************************************		
//// |||||||||||||||||||||||||||||||| Inicia Fase de Asignación - DOS |||||||||||||||||||||||||||||||| ////
			/////Identificar todo el detalle
			$sqlCA1 = "SELECT * FROM tabla_detalledocsur WHERE CVE_CUENTA='$CveCueCR1' AND NO_DOCUMENTO='$NoDocSuEn' AND APARTADO<>'EN PICKING'";
			$resCA1=mysql_query($sqlCA1) or die('Error en la consulta: '.mysql_error());
			While($rowCA1 = mysql_fetch_array($resCA1,MYSQL_ASSOC))
				{ ///Inicia While 4
					
					$SkuCA1=$rowCA1["SKU"];
					$LotCA1=$rowCA1["LOTE"];
					$CantxSurCA1=$rowCA1["CANT_X_SURTIR"];
					
					////Valida si ya se paso por dicho registro
					////Validar si a Codigo SKU ya se le asigno una propiedad en e Campo apartado.
					////Si es Asi terminar el While 3
					$sqlCA5 = mysql_query("select * from tabla_detalledocsur WHERE CVE_CUENTA='$CveCueCR1' AND SKU='$SkuCA1' AND APARTADO='0' AND NO_DOCUMENTO='$NoDocSuEn'");
					if (mysql_numrows($sqlCA5)<>0) 
					{ ///Inicia If Vaidador de Corrida 2
							
							////Consultando el inventario para ver si existe producto disponible para surtido
							////$sqlCA3 = mysql_query("select * from tabla_inventario WHERE CVE_CUENTA='$CveCueCR1' AND EDO_CALIDAD='$TipSalIDR1' AND SKU='$SkuCA1' ORDER BY `tabla_inventario`.`FECHA_ENTRADA`, `tabla_inventario`.`PRIORIDAD` ASC");////
							$sqlCA3 = mysql_query("select * from tabla_inventario WHERE CVE_CUENTA='$CveCueCR1' AND EDO_CALIDAD='$TipSalIDR1' AND SKU='$SkuCA1' AND TIPO_UBICACION='STOCK' ORDER BY `tabla_inventario`.`FECHA_ENTRADA`, `tabla_inventario`.`PRIORIDAD` ASC");
							if (mysql_numrows($sqlCA3)==0) 
							{
									////echo "No hay Picking & No hay Stock - Posiblemente en Staying";
									$sqlCA6 = mysql_query("select * from tabla_inventario WHERE CVE_CUENTA='$CveCueCR1' AND EDO_CALIDAD='$TipSalIDR1' AND SKU='$SkuCA1' AND TIPO_UBICACION='STAYING' ORDER BY `tabla_inventario`.`FECHA_ENTRADA`, `tabla_inventario`.`PRIORIDAD` ASC");
									if (mysql_numrows($sqlCA6)==0) 
									{echo "";}
									else{
									$registroCA6=mysql_fetch_array($sqlCA6);
									}
									if (mysql_numrows($sqlCA6)>0)
									{
									$Pall_CA3=$registroCA6["NO_PALLET"];
									}
							}
							else{
							$registroCA3=mysql_fetch_array($sqlCA3);
							}
							if (mysql_numrows($sqlCA3)>0)
							{
							$Pall_CA3=$registroCA3["NO_PALLET"];
							}
								///// Visualización de Apoyo - Comentada
								//////echo "<Br>Srock1 - Sku: ". $SkuCA1." PzasxSur: ".$CantxSurCA1." Pickeo Maximo: ".$PMax_CA2." Pallet: ".$Pall_CA3."<Br>";
								////Cambia el Estatus del apartado dentro del detalle del pedido - Referentemente al SKU
								$sqlMED1="UPDATE tabla_detalledocsur SET APARTADO ='EN STOCK' WHERE CVE_CUENTA='$CveCueCR1' AND NO_DOCUMENTO='$NoDocSuEn' AND SKU='$SkuCA1'";
								$resultadoMED1=mysql_query($sqlMED1,$conexion) or die(mysql_error());	
										
								////Consultando la prioridad del Pallet a Pickear
								$sqlCA5 = mysql_query("select * from tabla_inventario WHERE CVE_CUENTA='$CveCueCR1' AND NO_PALLET='$Pall_CA3'");
								if (mysql_numrows($sqlCA5)==0) echo "";
								else{
								$registroCA5=mysql_fetch_array($sqlCA5);
								}
								if (mysql_numrows($sqlCA5)>0)
								{
								$PrioPal_CA5=$registroCA5["PRIORIDAD"];
								}
								
								//////Generar Folio para guardar Registro////
									$sqlGFI = "select max(ID) as ultimo_FOLIOGFI  from tabla_detalledocsurprio"; 
									$libGFI  = mysql_query($sqlGFI); 
									$rs_libGFI  = mysql_fetch_assoc($libGFI); 
									$id_nuevoGFI  = $rs_libGFI ['ultimo_FOLIOGFI'] + 1;
					
								////Guarda Recorrido de Surtido en la respectiva tabla
									$sqlGFI2 = "insert into tabla_detalledocsurprio (ID,CVE_BODEGA,CVE_CUENTA,NO_DOCUMENTO,SKU,LOTE,CANT_SURTIDA,PRIORIDAD,USUARIO_REG,FECHA,HORA)
values('$id_nuevoGFI','$CveBodCR1','$CveCueCR1','$NoDocSuEn','$SkuCA1','$LotCA1','0','$PrioPal_CA5','$UsuEn','$Fecha','$HoraOK')";
									$resultadoGFI2=mysql_query($sqlGFI2,$conexion) or die(mysql_error());
								
					} ///Termina If Vaidador de Corrida 2	

				} ///Termina While 4
				
//// |||||||||||||||||||||||||||||||| Termina Fase de Asignación - DOS |||||||||||||||||||||||||||||||| ////
/////******************************************************************************************************	
			echo "<script>alert('Surtido PICKING FIFO Liberado Exitosamente'); </script>";
					echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=75-VisualizarTareasSurtido2.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&txt_NoDoc=$NoDocSuEn'>";
			
		} /// TERMINA IF GENERAR PICKING_FI
		
///////////////////////////////////Termina UBICACION X GESTION//////////////////////////////////////////////////
	
?>
</div>

<!-- Termina Cuerpo de la Interfaz Gráfica -->

<?PHP
}//// Termina If Valiador de Estado de Documento
}//// Termina If Valiador de Caducidad Documento
}//// Termina If Valiador del Documento Recibo
} ///Termina IF Permiso de Acceso 3
} ///Termina IF Permiso de Acceso 2
} ///Termina IF Permiso de Acceso 1
} ///Termina IF Sesion del Token
?>
</body>
</html>